Subject: Re: problem with ownership of files under NT4.0 under b18 (NBY)
From: [email-masked] (Earnie Boyd)

15 Dec 1997 18:35:51 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Let me point you to:

ftp://ftp.cygnus.com/pub/gnu-win32/latest/

http://www.cygnus.com/pubs/gnupro/

http://www.cygnus.com/misc/gnu-win32/

http://www.cygnus.com/ml/gnu-win32

http://www.fu.is.saga-u.ac.jp/~colin/gcc.html

http://www.itribe.net/virtunix/winhelp-man-pages/

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Mon, 15 Dec 1997 12:38:21 -0800
>From: Ramesh Subrahmaniam <[email-masked]>
>To: [email-masked]
>Subject: problem with ownership of files under NT4.0 under b18
>
>I installed NT4.0 Spervice Pack 3 on a SCSI disk with the FAT file
>system. I am having a problem compiling (with gnumake) the files
>installed on this file system. I have tried NTFS also without great
>success.
>
>When I do a ls -l on the source files it always shows the owner as 
being
>0 and group as being everyone.
>
>The first source of the bug is when I try to do a  make it complains
>that I do not own the files. I tried to login as administrator and I go
>into a DOS window and try to run chown. It always complains:
>
>I did the following combinations:
>
>    chown 500  bullit  <bullit is a directory>. Error: bullit: Invalid
>Argument
>    chown svr   bullit. Error : Invalid User
>    chown -v 500 bullit. Says changing bullit owner to 500
>                                   and then says bullit Invalid
>argument.
>
>I then tried NTFS because the next natural thing might be to suspect 
the
>file system. The owner of the file now became 544 which is in range of
>the UIDs when I type mkpasswd -l. But still chown does not work.
>
>The next thing I tried is to modify the permissions. I did a chmod +w
><filename>. It failed silently meaning it did not change the
>permissions. I did an ls -l to verify this.
>
>Now I wanted to make a tmp directory and etc directory on my /. My / is
>not a the C: drive instead I want it to be D:. I have installed NT4.0 
on
>a SCSI disk which I added. How do I change my / mount point to be D:
>instead of C:. I tried the mount command as follows:
>            mount d:  /    : Error fails with Device busy
>
>So I did the following:
>
>        umount C:. Failed silently; did not do anything.
>        umount  /.   Failed siliently again.
>
>I am trying desperately to get this working for me.
>
>Can you please help? I will also be happy to go over any FAQs for these
>kind of problems. Also how I modify the source to see what the problem
>is? Where can I find the cygwin.dll source code?
>
>Thanks
>
>Ramesh
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".